import React from 'react';
var crypto = require('crypto');

type Props = {
    password: string;
    salt: string;
    callback: () => void;
  };

export const HashPassword: React.FC<Props> = ({password, salt, callback: }) => {
    crypto.pbkdf2(password, salt, 100000, 64, 'sha512', (err: string, derivedKey: string) => {
        if (err) throw err;
        callback(derivedKey.toString('hex'));
     });
}